<?php

/**
 * FILE: functions.php 
 * Created on Apr 20, 2013 at 5:49:28 PM 
 * Author: Mr.Vibe 
 * Credits: www.VibeThemes.com
 * Project: Vizard
 * License: GPLv2
 */

if (!defined('LISTING')) { 
	define('LISTING','property');
 } 

 define('MIGRATION','homequest_tfuse_post_options');

// Attaching function to Theme Hook "vibe_after_header"
add_action( 'vibe_after_header', 'custom_css_function' );

function custom_css_function(){
    echo '<link rel="stylesheet" href="'.  get_stylesheet_directory_uri().'/custom.css">';
}


add_action( 'vibe_after_footer', 'custom_js_function' );
function custom_js_function(){
   echo '<script type="text/javascript" src="'.  get_stylesheet_directory_uri().'/custom.js"></script>'; 
}


add_action('manage_property_posts_custom_column', 'vibe_custom_listing_columns',10, 2 );
add_filter( 'manage_edit-property_columns', 'vibe_listing_columns' ) ;


add_filter( 'manage_edit-property_sortable_columns', 'vibe_custom_listing_sort');



add_filter( 'request', 'vibe_custom_listing_orderby' );

function migration_to_vibevalues($id){
	$price = getPostMeta($id,'vibe_price');
	global $vibe_options;

	if(!isset($price) || !$price){
		$themefuse = get_post_meta(get_the_ID(),MIGRATION);

		if(is_array($themefuse))
			$themefuse=$themefuse[0];

		print_r($themefuse);

		foreach($themefuse as $key => $value){
			if(isset($value) && $value){
				if($key == 'homequest_thumbnail_image' && !has_post_thumbnail($id)){
					$imageid = get_image_id($value);
					set_post_thumbnail($id,$imageid);
				}
				if($key == 'seek_property_price'){
					update_post_meta($id,'vibe_price',$value);	
				}
				if($key == 'seek_property_bedrooms'){
						update_post_meta($id,'vibe_bedrooms',$value);	
				}
				if($key == 'seek_property_baths'){
						update_post_meta($id,'vibe_bathrooms',$value);	
				}

				if($key == 'seek_property_square'){
						update_post_meta($id,'vibe_area',$value);	
				}

				if($key == 'seek_property_maps_lat'){
						$longitude=$themefuse['seek_property_maps_lng'];
						$location=array(
							'latitude' => $value,
							'longitude' => $longitude
							);
						update_post_meta($id,'vibe_location',$location);	

				}
				
				if(!$key == 'seek_property_sale_type'){
					if(isset($val) && $val){
						wp_set_post_terms( $id, 'sale', 'status');
					}else{
						wp_set_post_terms( $id, 'rent', 'status');
					}
				}
				
				if(!$key == 'seek_property_garage' && $value){
					update_post_meta($id,'vibe_parking',$value);
				}

				if(!$key == 'seek_property_road_type' && $value){
					update_post_meta($id,'vibe_road_type',$value);	
				}

				
				if(!$key == 'seek_property_flooring' && $value){
					update_post_meta($id,'vibe_floor',$value);	
				}
				if(!$key == 'seek_property_roof' && $value){
					update_post_meta($id,'vibe_roof',$value);	
				}
				if(!$key == 'seek_property_sewer' && $value){
					update_post_meta($id,'vibe_sewer',$value);	
				}
				if(!$key == 'seek_property_water' && $value){
					update_post_meta($id,'vibe_water',$value);	
				}
				if(!$key == 'seek_property_zoning' && $value){
					update_post_meta($id,'vibe_zone',$value);	
				}

				$amenities  =array();
				if(!$key == 'seek_property_heat'){
					$amenities[]= 'gas_heat';
				}
				if(!$key == 'seek_property_air_conditioning'){
					$amenities[]= 'air conditioning';
				}
				if(!$key == 'seek_property_basement'){
					$amenities[]= 'basement';
				}

				if(count($amenities) > 1){
					update_post_meta($id,'vibe_meneties',$amenities);	
				}
			}
		}
	}
	
}
?>
